From 7d9541562bd5a9a18d52908c083047ab04a16155 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 22 2017 18:23:02 +0000
Subject: [PATCH 886/1001] Display a message when there is no feed item


---

diff --git a/hubs/static/client/app/components/feed/Feed.jsx b/hubs/static/client/app/components/feed/Feed.jsx
index 9292add..ec6b037 100644
--- a/hubs/static/client/app/components/feed/Feed.jsx
+++ b/hubs/static/client/app/components/feed/Feed.jsx
@@ -1,7 +1,21 @@
 import React from 'react';
+import PropTypes from 'prop-types';
+import {
+  IntlProvider,
+  defineMessages,
+  FormattedMessage,
+  } from 'react-intl';
 import Panel from './Panel.jsx';
 
 
+const messages = defineMessages({
+  no_items: {
+    id: "hubs.components.feed.no_items",
+    defaultMessage: "No items yet.",
+  },
+});
+
+
 export default class Feed extends React.Component {
 
   render() {
@@ -12,13 +26,27 @@ export default class Feed extends React.Component {
         );
     });
     return (
-      <div className="component-feed">
-        {items}
-      </div>
+      <IntlProvider locale={navigator.language}>
+        <div className="component-feed">
+          { (items.length == 0 && this.props.loaded) ?
+            <FormattedMessage {...messages.no_items} tagName="i" />
+            :
+            items
+          }
+        </div>
+      </IntlProvider>
     );
   }
 
 }
 
 
+Feed.propTypes = {
+  loaded: PropTypes.bool,
+};
+Feed.defaultProps = {
+  loaded: true,
+};
+
+
 // vim: set ts=2 sw=2 et:
diff --git a/hubs/static/client/app/widgets/feed/Widget.jsx b/hubs/static/client/app/widgets/feed/Widget.jsx
index 636daa2..b266609 100644
--- a/hubs/static/client/app/widgets/feed/Widget.jsx
+++ b/hubs/static/client/app/widgets/feed/Widget.jsx
@@ -9,12 +9,16 @@ export default class Widget extends React.Component {
     super(props);
     this.state = {
       items: [],
+      loaded: false,
     };
     this.handleServerData = this.handleServerData.bind(this);
   }
 
   handleServerData(data) {
-    this.setState({items: data});
+    this.setState({
+      items: data,
+      loaded: true,
+    });
   }
 
   render() {
@@ -29,6 +33,7 @@ export default class Widget extends React.Component {
         >
         <Feed
           items={this.state.items}
+          loaded={this.state.loaded}
           />
       </ItemsGetter>
     );

